package fr.lri.keller.democ3;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.TextView;

import java.util.Random;

public class SecondActivity extends AppCompatActivity {

    private TextView textAffichage;

    private Random generator = new Random(43);

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_second);
        textAffichage = (TextView) findViewById(R.id.textAffichage);
        Intent intent = getIntent();
        Integer random = intent.getIntExtra(FirstActivity.EXTRA_RANDOM, -1);
        if (random == -1) {
            textAffichage.setText("Pas de données reçues");
        } else {
            textAffichage.setText("Données reçues : " + random);
        }
    }

    @Override
    public void finish() {
        if (getCallingActivity() != null) {
            int random = generator.nextInt(100);
            Intent intent2 = new Intent();
            intent2.putExtra(FirstActivity.EXTRA_RANDOM, random);
            setResult(RESULT_OK, intent2);
        }
        super.finish();
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_second, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
